%global _TOMCAT "%{_datadir}/tomcat6"

Name: oat
Summary: Attestation Service & Host Agent based on OpenAttestation SDK
Version: 1.6.0 
Release: 16%{?dist}
License: BSD
Group: Applications/System
Source0: https://github.com/OpenAttestation/OpenAttestation/archive/v%{version}/OpenAttestation-%{version}.tar.gz
Source1: OAT_configure.sh
Source2: oat-db-drop.sh
Source3: OAT_client.sh
Source4: oat-client.service
Source5: provisioner-redhat-partner.sh
Source6: oat_truncate_requests.sh
# this patch is just for fedora packaging
Patch0: oat-1.6.0-fedora-build.patch
URL: https://github.com/OpenAttestation/OpenAttestation
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  jakarta-commons-beanutils
BuildRequires:  jakarta-commons-cli
BuildRequires:  jakarta-commons-codec
BuildRequires:  jakarta-commons-collections
BuildRequires:  jakarta-commons-digester
BuildRequires:  jakarta-commons-discovery
BuildRequires:  jakarta-commons-logging
BuildRequires:  sun-codemodel
BuildRequires:  geronimo-specs
BuildRequires:  sun-istack-commons
BuildRequires:  java-1.6.0-openjdk-devel
BuildRequires:  sun-txw2
BuildRequires:  sun-xsom
BuildRequires:  java-1.6.0-openjdk
BuildRequires:  php-mysql
BuildRequires:  tomcat6-servlet-2.5-api
BuildRequires:  ant
BuildRequires:  bouncycastle
BuildRequires:  c3p0
BuildRequires:  cglib
BuildRequires:  curl
BuildRequires:  dom4j
BuildRequires:  glassfish-jaxb = 2.1.12-10_patch_02.el6
BuildRequires:  glassfish-jaxws = 2.1.7-0.30.el6
BuildRequires:  hibernate3
BuildRequires:  hibernate-jpa-2.0-api
BuildRequires:  jakarta-commons-httpclient
BuildRequires:  javassist
BuildRequires:  jpackage-utils
BuildRequires:  log4j
BuildRequires:  mysql-connector-java
BuildRequires:  objectweb-asm  >= 3.2-2.1.el6
BuildRequires:  openssl
BuildRequires:  rngom
BuildRequires:  slf4j
BuildRequires:  stax-ex
BuildRequires:  xerces-j2
BuildRequires:  xml-commons-apis
BuildRequires:  xml-commons-resolver
BuildRequires:  msv-xsdlib
BuildRequires:  trousers-devel
BuildRequires:  libgcj
BuildRequires:  jboss-logging
BuildRequires:  jakarta-commons-pool
BuildRequires:  jakarta-commons-dbcp
BuildRequires:  sun-sjsxp
BuildRequires:  codehaus-jackson
BuildRequires:  codehaus-jackson-xc
BuildRequires:  codehaus-jackson-core-asl
BuildRequires:  codehaus-jackson-jaxrs
BuildRequires:  codehaus-jackson-mapper-asl
BuildRequires:  scannotation
BuildRequires:  hibernate3-commons-annotations
BuildRequires:  sun-xmlstreambuffer
BuildRequires:  woodstox-core
BuildRequires:  woodstox-stax2-api
BuildRequires:  rpm-build
BuildRequires:  gcc-c++
BuildRequires:  make
BuildRequires:  wget
BuildRequires:  resteasy
BuildRequires:  apache-mime4j
BuildRequires:  xerces-j2


%description
OpenAttestation (OAT) is a open source project providing a SDK for managing
host integrity verification using TCG-defined remote attestation protocol,
targeting to be integrated into cloud and enterprise management tools.

%package appraiser
Summary: Appraisal Server for OpenAttestation
Requires: jakarta-commons-beanutils
Requires: jakarta-commons-cli
Requires: jakarta-commons-codec
Requires: jakarta-commons-collections
Requires: jakarta-commons-digester
Requires: jakarta-commons-discovery
Requires: jakarta-commons-logging
Requires: sun-codemodel
Requires: geronimo-specs
Requires: sun-istack-commons
Requires: java-1.6.0-openjdk-devel
Requires: mysql
Requires: tomcat6
Requires: sun-txw2
Requires: sun-xsom
Requires: java-1.6.0-openjdk
Requires: php-mysql
Requires: tomcat6-servlet-2.5-api
Requires: mysql-server
Requires: ant
Requires: bouncycastle
Requires: c3p0
Requires: cglib
Requires: curl
Requires: dom4j
Requires: glassfish-jaxb
Requires: glassfish-jaxws
Requires: hibernate3
Requires: hibernate-jpa-2.0-api
Requires: jakarta-commons-httpclient
Requires: javassist
Requires: jpackage-utils
Requires: log4j
Requires: mysql-connector-java
Requires: objectweb-asm >= 3.2-2.1
Requires: openssl
Requires: php
Requires: rngom
Requires: slf4j
Requires: stax-ex
Requires: trousers
#the same functionality of "xerces-j2" has been incorporate within tomcat6, no need comprise this package as dependency
#Requires: xerces-j2
Requires: xml-commons-apis
Requires: xml-commons-resolver
Requires: msv-xsdlib
Requires: libgcj
Requires: jboss-logging
Requires: jakarta-commons-pool
Requires: jakarta-commons-dbcp
Requires: sun-sjsxp
Requires: codehaus-jackson
Requires: codehaus-jackson-xc
Requires: codehaus-jackson-core-asl
Requires: codehaus-jackson-jaxrs
Requires: codehaus-jackson-mapper-asl
Requires: scannotation
Requires: hibernate3-commons-annotations
Requires: sun-xmlstreambuffer
Requires: woodstox-core
Requires: woodstox-stax2-api
Requires: resteasy
Requires: apache-mime4j

%description appraiser
OpenAttestation (OAT) is a open source project providing a SDK for managing
host integrity verification using TCG-defined remote attestation protocol,
targeting to be integrated into cloud and enterprise management tools.

This package provides the OAT appraisal server.

%package client
Summary: Host Agent for OpenAttestation
Requires: jakarta-commons-beanutils
Requires: jakarta-commons-cli
Requires: jakarta-commons-codec
Requires: jakarta-commons-collections
Requires: jakarta-commons-digester
Requires: jakarta-commons-discovery
Requires: jakarta-commons-logging
Requires: sun-codemodel
Requires: geronimo-specs
Requires: sun-istack-commons
Requires: java-1.6.0-openjdk-devel
Requires: sun-txw2
Requires: sun-xsom
Requires: java-1.6.0-openjdk
Requires: php-mysql
Requires: tomcat6-servlet-2.5-api
Requires: bouncycastle
Requires: c3p0
Requires: cglib
Requires: curl
Requires: dom4j
Requires: glassfish-jaxb 
Requires: glassfish-jaxws 
Requires: hibernate3
Requires: hibernate-jpa-2.0-api
Requires: jakarta-commons-httpclient
Requires: javassist
Requires: jpackage-utils
Requires: log4j
Requires: mysql-connector-java
Requires: objectweb-asm >= 3.2-2.1
Requires: openssl
Requires: php
Requires: rngom
Requires: slf4j
Requires: stax-ex
Requires: trousers
Requires: xerces-j2
Requires: xml-commons-apis
Requires: xml-commons-resolver
Requires: msv-xsdlib
Requires: libgcj
Requires: jboss-logging
Requires: jakarta-commons-pool
Requires: jakarta-commons-dbcp
Requires: sun-sjsxp
Requires: codehaus-jackson
Requires: codehaus-jackson-xc
Requires: codehaus-jackson-core-asl
Requires: codehaus-jackson-jaxrs
Requires: codehaus-jackson-mapper-asl
Requires: scannotation
Requires: hibernate3-commons-annotations
Requires: sun-xmlstreambuffer
Requires: woodstox-core
Requires: woodstox-stax2-api
Requires: dialog
Requires: resteasy
Requires: apache-mime4j

%description client
OpenAttestation (OAT) is a open source project providing a SDK for managing
host integrity verification using TCG-defined remote attestation protocol,
targeting to be integrated into cloud and enterprise management tools.

This package provides the host agent which uses Java and the NIARL TPM
Module to acquire integrity measurement data from the host's Trusted
Platform Module (TPM).

The data is compiled into an integrity report and sent to the OAT appraisal
server.

%package commandtool
Summary: Command line tools for OpenAttestation 
Requires: curl
Requires: openssl

BuildArch: noarch

%description commandtool
OpenAttestation (OAT) is a open source project providing a SDK for managing
host integrity verification using TCG-defined remote attestation protocol,
targeting to be integrated into cloud and enterprise management tools.

This package provides a number of command line tools which are useful for
interacting with a OAT appraisal server.

%package doc
Summary: Documentation for OpenAttestation
BuildArch: noarch

%description doc
OpenAttestation (OAT) is a open source project providing a SDK for managing
host integrity verification using TCG-defined remote attestation protocol,
targeting to be integrated into cloud and enterprise management tools.

This package provides the documentation for OpenAttestation.


%package javadoc
Summary:        Javadoc for %{name}
Group:          Documentation
BuildArch: noarch

%description javadoc
Java documentation for %{name}.


%prep
%setup -q -n OpenAttestation-%{version}
%patch0 -p1

%build
# distribute the JAR_SOURCE to the source tree
pushd Source
sh distribute_jar_packages.sh
CXXFLAGS="$RPM_OPT_FLAGS" make -C ./TPMModule/plain/linux/
#build HisAppraiser
ant -file ./HisAppraiser/xml/Integrity_Report_Manifest_v1_0/build.xml
ant -file ./HisAppraiser/xml/PCR_Difference/build.xml
ant -file ./HisAppraiser/build.xml
rm -rf ./HisAppraiser/lib/*
cp -rf ./HisAppraiser/HisAppraiser.jar ./AttestationService/WebContent/WEB-INF/lib/
cp -rf ./HisAppraiser/HisAppraiser.jar ./HisWebServices/clientlib/
cp -rf ./HisAppraiser/HisAppraiser.jar ./HisWebServices/WEB-INF/lib/
cp -rf ./HisAppraiser/HisAppraiser.jar ./WLMService/WebContent/WEB-INF/lib/
#build HisWebServices
ant -file ./HisWebServices/build.xml server
ant -file ./HisWebServices/build.xml client
cp -rf ./HisWebServices/clientlib/HisWebServices-client.jar ./PrivacyCA/lib/
cp -rf ./HisWebServices/clientlib/HisWebServices-client.jar ./HisClient/lib/
cp -rf ./HisWebServices/clientlib/HisWebServices-client.jar ./HisPrivacyCAWebServices2/ClientFiles/lib/
cp -rf ./HisWebServices/clientlib/HisWebServices-client.jar ./HisPrivacyCAWebServices2/WEB-INF/lib/
rm -rf ./HisWebServices/WEB-INF/lib/*
rm -rf ./HisWebServices/WEB-INF/jars-compile-only/
#build HisPrivacyCAWebServices2
for f in HisSetup.java   TpmIdentityRequest.java  TpmSymCaAttestation.java idResponse.java          TpmKeyParams.java        TpmSymmetricKey.java PrivacyCaException.java  TpmKeySubParams.java     TpmSymmetricKeyParams.java TpmAsymCaContents.java   TpmPubKey.java           TpmUtils.java TpmIdentityProof.java    TpmRsaKeyParams.java
do
  ln -s -f ../../../../../../PrivacyCA/src/gov/niarl/his/privacyca/$f HisPrivacyCAWebServices2/src/gov/niarl/his/privacyca/
done
ant -file ./HisPrivacyCAWebServices2/build.xml server
ant -file ./HisPrivacyCAWebServices2/build.xml client
cp -rf ./HisPrivacyCAWebServices2/clientlib/HisPrivacyCAWebServices2-client.jar ./HisPrivacyCAWebServices2/ClientFiles/lib/
cp -rf ./HisPrivacyCAWebServices2/clientlib/HisPrivacyCAWebServices2-client.jar ./PrivacyCA/lib/
rm -rf ./HisPrivacyCAWebServices2/WEB-INF/lib/*
rm -rf ./HisPrivacyCAWebServices2/WEB-INF/jars-compile-only
rm -rf ./HisPrivacyCAWebServices2/ClientFiles/lib/*
#build PrivacyCA
ant -file ./PrivacyCA/build.xml
cp -rf ./PrivacyCA/PrivacyCA.jar ./HisPrivacyCAWebServices2/ClientFiles/lib/
#build HisClient
mkdir ./HisClient/jar
ant -file ./HisClient/xml/Integrity_Report_Manifest_v1_0/build.xml
ant -file ./HisClient/build.xml
#build WLMService
ant -file ./WLMService/build.xml
rm -rf ./WLMService/WebContent/WEB-INF/lib/*
#build AttestationService
ant -file ./AttestationService/build.xml

#build javadoc 
ant -file ./AttestationService/build.xml javadoc

rm -rf ./AttestationService/WebContent/WEB-INF/lib/*

#cp all jars again
cp -rf ./HisAppraiser/HisAppraiser.jar ./AttestationService/WebContent/WEB-INF/lib/
cp -rf ./HisAppraiser/HisAppraiser.jar ./HisWebServices/clientlib/
cp -rf ./HisAppraiser/HisAppraiser.jar ./HisWebServices/WEB-INF/lib/
cp -rf ./HisAppraiser/HisAppraiser.jar ./WLMService/WebContent/WEB-INF/lib/
cp -rf ./HisWebServices/clientlib/HisWebServices-client.jar ./HisPrivacyCAWebServices2/ClientFiles/lib/
cp -rf ./HisWebServices/clientlib/HisWebServices-client.jar ./HisPrivacyCAWebServices2/WEB-INF/lib/
cp -rf ./HisPrivacyCAWebServices2/clientlib/HisPrivacyCAWebServices2-client.jar ./HisPrivacyCAWebServices2/ClientFiles/lib/
cp -rf ./HisPrivacyCAWebServices2/clientlib/HisPrivacyCAWebServices2-client.jar ./PrivacyCA/lib/
cp -rf ./PrivacyCA/PrivacyCA.jar ./HisPrivacyCAWebServices2/ClientFiles/lib/

popd

%install
###################
#### appraiser ####
###################

# oat-appraiser dirs
mkdir -p %{buildroot}%{_datadir}/oat-appraiser/
mkdir -p %{buildroot}%{_sharedstatedir}/oat-appraiser/CaCerts
mkdir -p %{buildroot}%{_sharedstatedir}/oat-appraiser/ClientFiles
mkdir -p %{buildroot}%{_sharedstatedir}/oat-appraiser/Certificate
mkdir -p %{buildroot}%{_sysconfdir}/oat-appraiser/

# copy post install setup files
install -p -D -m 644 Installer/OAT-Appraiser-Configure/OAT_Server_Install/oat_db.MySQL %{buildroot}%{_datadir}/oat-appraiser/
install -p -D -m 644 Installer/FilesForLinux/init.sql %{buildroot}%{_datadir}/oat-appraiser/
# install configs
install -p -D -m 644 Installer/OAT-Appraiser-Configure/OAT_Server_Install/OAT.properties %{buildroot}%_sysconfdir/oat-appraiser/ 
# tomcat install dir
mkdir -p %{buildroot}/%_TOMCAT/webapps/

# install AttestationService
unzip Source/AttestationService/AttestationService.war -d %{buildroot}/%_TOMCAT/webapps/AttestationService
[[ -d %{buildroot}/%_TOMCAT/webapps/AttestationService/WEB-INF ]] && rm -rf  %{buildroot}/%_TOMCAT/webapps/AttestationService/WEB-INF
cp -r Source/AttestationService/WebContent/WEB-INF  %{buildroot}/%_TOMCAT/webapps/AttestationService/WEB-INF
# install WLMService
unzip Source/WLMService/WLMService.war -d %{buildroot}/%_TOMCAT/webapps/WLMService
[[ -d %{buildroot}/%_TOMCAT/webapps/WLMService/WEB-INF/ ]] && rm -rf %{buildroot}/%_TOMCAT/webapps/WLMService/WEB-INF/
cp -r Source/WLMService/WebContent/WEB-INF %{buildroot}/%_TOMCAT/webapps/WLMService/WEB-INF/

# install HisWebServices
mkdir -p %{buildroot}/%_TOMCAT/webapps/HisWebServices
cp -r Source/HisWebServices/WEB-INF %{buildroot}/%_TOMCAT/webapps/HisWebServices/WEB-INF
install -p -D -m 644 Source/HisWebServices/WEB-INF/*.xml %{buildroot}/%_TOMCAT/webapps/HisWebServices/WEB-INF/
install -p -D -m 644  Installer/OAT-Appraiser-Configure/OAT_Server_Install/hibernateOat.cfg.xml %{buildroot}/%_TOMCAT/webapps/HisWebServices/WEB-INF/classes/
mv %{buildroot}/%_TOMCAT/webapps/HisWebServices/WEB-INF/classes/OpenAttestation.properties %{buildroot}%_sysconfdir/oat-appraiser/

# install HisPrivacyCAWebServices2
unzip Source/HisPrivacyCAWebServices2/HisPrivacyCAWebServices2.war -d %{buildroot}/%_TOMCAT/webapps/HisPrivacyCAWebServices2
[[ -d %{buildroot}/%_TOMCAT/webapps/HisPrivacyCAWebServices2/WEB-INF/ ]] && rm -rf %{buildroot}/%_TOMCAT/webapps/HisPrivacyCAWebServices2/WEB-INF/
cp -r Source/HisPrivacyCAWebServices2/WEB-INF %{buildroot}/%_TOMCAT/webapps/HisPrivacyCAWebServices2/WEB-INF/
[[ -d %{buildroot}/%_TOMCAT/webapps/HisPrivacyCAWebServices2/ClientFiles ]] && rm -rf  %{buildroot}/%_TOMCAT/webapps/HisPrivacyCAWebServices2/ClientFiles
cp -r Source/HisPrivacyCAWebServices2/ClientFiles %{buildroot}/%_TOMCAT/webapps/HisPrivacyCAWebServices2/ClientFiles
install -p -D -m 644 Source/HisPrivacyCAWebServices2/setup.properties %{buildroot}%_sysconfdir/oat-appraiser/
install -p -D -m 755 %{SOURCE2} %{buildroot}%{_datadir}/oat-appraiser/oat-db-drop.sh
install -p -D -m 755 %{SOURCE1} %{buildroot}%{_datadir}/oat-appraiser/OAT_configure.sh
install -p -D -m 755 Source/oat_function %{buildroot}%{_datadir}/oat-appraiser/oat_function
install -p -D -m 755 %{SOURCE6} %{buildroot}%{_sysconfdir}/cron.monthly/oat_truncate_requests.sh

################
#### client ####
################
mkdir -p %{buildroot}%{_datadir}/oat-client
mkdir -p %{buildroot}%{_datadir}/oat-client/lib
mkdir -p %{buildroot}%{_datadir}/oat-client/script
mkdir -p %{buildroot}%{_datadir}/oat-client/shells
mkdir -p %{buildroot}%{_datadir}/java/
mkdir -p %{buildroot}%{_sysconfdir}/oat-client
mkdir -p %{buildroot}%{_sharedstatedir}/oat-client
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_sbindir}
mkdir -p %{buildroot}%{_sysconfdir}/init.d/

#install -p -D -m 644 %{SOURCE4} %{buildroot}%{_unitdir}/oat-client.service

install -p -D -m 644 Source/HisClient/jar/OAT_Standalone.jar %{buildroot}%{_datadir}/java/

install -p -D -m 755 %{SOURCE5} %{buildroot}%{_datadir}/oat-client/script/provisioner.sh
install -p -D -m 644 Source/PrivacyCA/TPMModule.properties %{buildroot}%{_sysconfdir}/oat-client/
install -p -D -m 644 Source/PrivacyCA/PrivacyCA.jar %{buildroot}%{_datadir}/oat-client/lib/
install -p -D -m 644 Source/HisAppraiser/HisAppraiser.jar %{buildroot}%{_datadir}/oat-client/lib/
install -p -D -m 644 Source/HisWebServices/clientlib/HisWebServices-client.jar %{buildroot}%{_datadir}/oat-client/lib/
install -p -D -m 644 Source/HisPrivacyCAWebServices2/clientlib/HisPrivacyCAWebServices2-client.jar %{buildroot}%{_datadir}/oat-client/lib/
install -p -D -m 755 %{SOURCE3} %{buildroot}%{_datadir}/oat-client/script
install -p -D -m 755 Source/oat_function %{buildroot}%{_datadir}/oat-client/script
install -p -D -m 755 Source/TPMModule/plain/linux/NIARL_TPM_Module %{buildroot}%{_bindir}/NIARL_TPM_Module
install -p -D -m 755 Source/oat-client %{buildroot}%{_sbindir}
install -p -D -m 755 Source/OATclient %{buildroot}%{_sysconfdir}/init.d/
install -p -D -m 644 Source/HisClient/log4j.properties %{buildroot}%_sysconfdir/oat-client/
#####################
#### commandtool ####
#####################
mkdir -p %{buildroot}%{_bindir}
install -p -D -m 755 CommandTool/oat_* %{buildroot}%{_bindir}
install -p -D -m 755 CommandTool/oat-* %{buildroot}%{_bindir}

##############
#### doc ####
##############

#################
#### javadoc ####
#################
# Install the javadocs
mkdir -p %{buildroot}%{_javadocdir}
cp -r Source/AttestationService/javadoc %{buildroot}%{_javadocdir}/%{name}

%postun appraiser
if [ $1 = 0 ]; then
    mysql -u root --execute="drop database oat_db;"
    if [ -e %{_datadir}/tomcat6/conf/server.xml ];then
        sed -i "/<\/Service>/d" %{_datadir}/tomcat6/conf/server.xml
        sed -i "/<\/Server>/i\\  <\/Service>"  %{_datadir}/tomcat6/conf/server.xml
    fi
    if [ -e %{_datadir}/tomcat6/conf/context.xml ];then
        sed -i '/oat/d' %{_datadir}/tomcat6/conf/context.xml
    fi
    if [ -d /var/lib/oat-appraiser/ ];then
        rm -rf /var/lib/oat-appraiser/
    fi
    rm -rf %{_datadir}/tomcat6/webapps/AttestationService
    rm -rf %{_datadir}/tomcat6/webapps/WLMService
    rm -rf %{_datadir}/tomcat6/webapps/HisWebServices
    rm -rf %{_datadir}/tomcat6/webapps/HisPrivacyCAWebServices2
fi

%files appraiser
%doc docs/LICENSE
%config(noreplace) %{_sysconfdir}/oat-appraiser
%{_sharedstatedir}/oat-appraiser
%{_datadir}/oat-appraiser
%{_datadir}/tomcat6/webapps/AttestationService
%{_datadir}/tomcat6/webapps/WLMService
%{_datadir}/tomcat6/webapps/HisWebServices
%{_datadir}/tomcat6/webapps/HisPrivacyCAWebServices2
%{_sysconfdir}/cron.monthly/oat_truncate_requests.sh

%post client
#%systemd_post oat-client.service

%preun client
#%systemd_preun oat-client.service
if [ -e /var/run/oat_client.pid ]; then
    /sbin/service OATclient stop >/dev/null 2>&1
    /sbin/chkconfig --del OATclient
fi

%postun client
#%systemd_postun_with_restart oat-client.service 
if [ $1 = 0 -a -e %{_datadir}/oat-client ];then
    rm -rf %{_datadir}/oat-client
fi

%files client
%doc docs/LICENSE
%config(noreplace) %{_sysconfdir}/oat-client
#%{_unitdir}/oat-client.service
%{_datadir}/oat-client
%{_datadir}/java/OAT_Standalone.jar
%{_sharedstatedir}/oat-client
%{_sbindir}/oat-client
%{_sysconfdir}/init.d/OATclient
%{_bindir}/NIARL_TPM_Module

%files commandtool
%doc docs/LICENSE
%{_bindir}/oat_*
%{_bindir}/oat-*

%files doc
%doc README docs/*

%files javadoc
%{_javadocdir}/%{name}

%changelog
* Mon Jun 9 2014 Gang Wei <gang.wei@intel.com> - 0:1.6.0-16
- provide oat_truncate_requests.sh to do monthly db cleanup
- add deregister.sh in command tools to do node de-register

* Thu May 4 2014 Gang Wei <gang.wei@intel.com> - 0:1.6.0-15
- fix bugs in oat-{whitelist|update}-node.sh in commandtool
- change default value of OAT_CERTFILE to ~/.oat_cert in oat-commandtool
- fix posun for upgrade case in oat-client and oat-appraiser

* Thu May 4 2014 Gang Wei <gang.wei@intel.com> - 0:1.6.0-14
- include oat-{whitelist|update}-node.sh in commandtool to automate whitelist
  provisioning
- add an env variable OAT_CERTFILE to hold ssl cert for oat service

* Thu Jan 20 2014 Gang Wei <gang.wei@intel.com> - 0:1.6.0-13
- fix the incompatible issue between xcerces and tomcat6

* Thu Jan 16 2014 Gang Wei <gang.wei@intel.com> - 0:1.6.0-12
- scripts modification to facilitate oat's deployment on RHEL

* Fri Jan 10 2014 Gang Wei <gang.wei@intel.com> - 0:1.6.0-11
- change the time format and add JsonProperty "count" to compatible with openstack

* Sun Dec 31 2013 Gang Wei <gang.wei@intel.com> - 0:1.6.0-10
- change default EC storage as "file"

* Sun Jun 9 2013 Gang Wei <gang.wei@intel.com> - 0:1.6.0-9
- fix bug #972422, oat 1.6.0-8 not built with $RPM_OPT_FLAGS

* Thu Jun 6 2013 Gang Wei <gang.wei@intel.com> - 0:1.6.0-8
- fix bug #971331, fix build broken by libgjc upgrade

* Thu Jun 6 2013 Gang Wei <gang.wei@intel.com> - 0:1.6.0-7
- fix bug #971287, change db dependencies from mysql to mariadb

* Fri May 31 2013 Gang Wei <gang.wei@intel.com> - 0:1.6.0-6
- build doc, javadoc, commandtool as noarch
- add dependency on java, java-devel, jpackage-utils

* Fri May 31 2013 Gang Wei <gang.wei@intel.com> - 0:1.6.0-5
- remove dangling symlinks

* Thu May 30 2013 Gang Wei <gang.wei@intel.com> - 0:1.6.0-4
- change appraiser to require tomcat instead of tomcat6
- fix all rpmlint errors

* Wed May 29 2013 Gang Wei <gang.wei@intel.com> - 0:1.6.0-3
- Remove redundent dependency
- change group to Applications/System
- fix build in rawhide
- remove all generated code

* Thu May 23 2013 Gang Wei <gang.wei@intel.com> - 0:1.6.0-2
- Fixed preun issues, pull in build logic, etc.

* Tue May 14 2013 Gang Wei <gang.wei@intel.com> - 0:1.6.0-1
- Initial import
